# [gulp](https://github.com/gulpjs/gulp)-awslambda
[![license](http://img.shields.io/badge/license-MIT-red.svg?style=flat-square)](https://raw.githubusercontent.com/willyg302/gulp-awslambda/master/LICENSE)

> A Gulp plugin for publishing your package to AWS Lambda

## Install

```bash
$ npm install --save-dev gulp-awslambda
```

## Usage

```js
var gulp = require('gulp');
var zip = require('gulp-zip');

gulp.task('default', function () {
	return gulp.src('src/*')
		.pipe(zip('archive.zip'))
		.pipe(gulp.dest('dist'));
});
```


## API

### zip(filename, options)

#### filename

*Required*  
Type: `string`

#### options

##### compress

Type: `boolean`  
Default: `true`

##### comment

Type: `string`

Text information embedded in the zip file.
